org.apache.storm.metrics2

## Class TaskMetricRepo

- java.lang.Object
- - org.apache.storm.metrics2.TaskMetricRepo

-     public class TaskMetricRepo
      extends Object

  Metric repository to allow reporting of task-specific metrics.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskMetricRepo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCounter(String name, com.codahale.metrics.Counter counter)`
    `void` | `addGauge(String name, com.codahale.metrics.Gauge gauge)`
    `void` | `addHistogram(String name, com.codahale.metrics.Histogram histogram)`
    `void` | `addMeter(String name, com.codahale.metrics.Meter meter)`
    `void` | `addTimer(String name, com.codahale.metrics.Timer timer)`
    `void` | `report(com.codahale.metrics.ScheduledReporter reporter, com.codahale.metrics.MetricFilter filter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskMetricRepo

          public TaskMetricRepo()

  - ### Method Detail

    - #### addCounter

          public void addCounter(String name,
                                 com.codahale.metrics.Counter counter)

    - #### addGauge

          public void addGauge(String name,
                               com.codahale.metrics.Gauge gauge)

    - #### addMeter

          public void addMeter(String name,
                               com.codahale.metrics.Meter meter)

    - #### addHistogram

          public void addHistogram(String name,
                                   com.codahale.metrics.Histogram histogram)

    - #### addTimer

          public void addTimer(String name,
                               com.codahale.metrics.Timer timer)

    - #### report

          public void report(com.codahale.metrics.ScheduledReporter reporter,
                             com.codahale.metrics.MetricFilter filter)

Copyright © 2021 The Apache Software Foundation. All rights reserved.